DefaultBeanConfiguration (Grails 6.0.0)

Package: org.grails.spring

## [Java] Class DefaultBeanConfiguration

- org.grails.spring.DefaultBeanConfiguration

- All Implemented Interfaces and Traits:
    BeanConfiguration

      public class DefaultBeanConfiguration
      extends groovy.lang.GroovyObjectSupport
      implements BeanConfiguration

  Default implementation of the BeanConfiguration interface . Credit must go to Solomon Duskis and the article: http://jroller.com/page/Solomon?entry=programmatic_configuration_in_spring

  Authors:
    Graeme
  Since:
    0.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.String` | `AUTOWIRE` |
    `private static java.lang.String` | `BY_CONSTRUCTOR` |
    `private static java.lang.String` | `BY_NAME` |
    `private static java.lang.String` | `BY_TYPE` |
    `private static java.lang.String` | `CONSTRUCTOR_ARGS` |
    `private static java.lang.String` | `DESTROY_METHOD` |
    `private static java.util.List<java.lang.String>` | `DYNAMIC_PROPS` |
    `private static java.lang.String` | `FACTORY_BEAN` |
    `private static java.lang.String` | `FACTORY_METHOD` |
    `private static java.lang.String` | `INIT_METHOD` |
    `private static java.lang.String` | `PARENT` |
    `private static java.lang.String` | `SINGLETON` |
    `private java.lang.Class<?>` | `clazz` |
    `private java.util.Collection<?>` | `constructorArgs` |
    `private org.springframework.beans.factory.support.AbstractBeanDefinition` | `definition` |
    `private java.lang.String` | `name` |
    `private java.lang.String` | `parentName` |
    `private boolean` | `singleton` |
    `private org.springframework.beans.BeanWrapper` | `wrapper` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultBeanConfiguration (java.lang.String name, java.lang.Class<?> clazz)`
    `DefaultBeanConfiguration (java.lang.String name, java.lang.Class<?> clazz, boolean prototype)`
    `DefaultBeanConfiguration (java.lang.String name)`
    `DefaultBeanConfiguration (java.lang.Class<?> clazz2)`
    `DefaultBeanConfiguration (java.lang.String name2, java.lang.Class<?> clazz2, java.util.Collection<?> args)`
    `DefaultBeanConfiguration (java.lang.String name2, boolean prototype)`
    `DefaultBeanConfiguration (java.lang.Class<?> clazz2, java.util.Collection<?> constructorArguments)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public BeanConfiguration` | `addProperty(java.lang.String propertyName, java.lang.Object propertyValue)`
    `` | `protected org.springframework.beans.factory.support.AbstractBeanDefinition` | `createBeanDefinition()`
    `` | `public org.springframework.beans.factory.support.AbstractBeanDefinition` | `getBeanDefinition()`
    `` | `public java.lang.String` | `getName()`
    `` | `public java.lang.Object` | `getProperty(java.lang.String property)`
    `` | `public java.lang.Object` | `getPropertyValue(java.lang.String propName)`
    `` | `public boolean` | `hasProperty(java.lang.String propName)`
    `` | `public boolean` | `isSingleton()`
    `` | `public BeanConfiguration` | `setAbstract(boolean isAbstract)`
    `` | `public BeanConfiguration` | `setAutowire(java.lang.String type)`
    `` | `public void` | `setBeanDefinition(org.springframework.beans.factory.config.BeanDefinition definition)`
    `` | `public BeanConfiguration` | `setDependsOn(java.lang.String[] dependsOn)`
    `` | `public BeanConfiguration` | `setDestroyMethod(java.lang.String methodName)`
    `` | `public BeanConfiguration` | `setFactoryBean(java.lang.String beanName)`
    `` | `public BeanConfiguration` | `setFactoryMethod(java.lang.String methodName)`
    `` | `public void` | `setName(java.lang.String beanName)`
    `` | `public void` | `setParent(java.lang.Object obj)`
    `` | `public void` | `setProperty(java.lang.String property, java.lang.Object newValue)`
    `` | `public void` | `setPropertyValue(java.lang.String property, java.lang.Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll(), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object)`

- - ### Field Detail

    - #### private static final java.lang.String AUTOWIRE

    - #### private static final java.lang.String BY_CONSTRUCTOR

    - #### private static final java.lang.String BY_NAME

    - #### private static final java.lang.String BY_TYPE

    - #### private static final java.lang.String CONSTRUCTOR_ARGS

    - #### private static final java.lang.String DESTROY_METHOD

    - #### private static final java.util.List<java.lang.String> DYNAMIC_PROPS

    - #### private static final java.lang.String FACTORY_BEAN

    - #### private static final java.lang.String FACTORY_METHOD

    - #### private static final java.lang.String INIT_METHOD

    - #### private static final java.lang.String PARENT

    - #### private static final java.lang.String SINGLETON

    - #### private java.lang.Class<?> clazz

    - #### private java.util.Collection<?> constructorArgs

    - #### private org.springframework.beans.factory.support.AbstractBeanDefinition definition

    - #### private java.lang.String name

    - #### private java.lang.String parentName

    - #### private boolean singleton

    - #### private org.springframework.beans.BeanWrapper wrapper

  - ### Constructor Detail

    - #### public DefaultBeanConfiguration(java.lang.String name, java.lang.Class<?> clazz)

    - #### public DefaultBeanConfiguration(java.lang.String name, java.lang.Class<?> clazz, boolean prototype)

    - #### public DefaultBeanConfiguration(java.lang.String name)

    - #### public DefaultBeanConfiguration(java.lang.Class<?> clazz2)

    - #### public DefaultBeanConfiguration(java.lang.String name2, java.lang.Class<?> clazz2, java.util.Collection<?> args)

    - #### public DefaultBeanConfiguration(java.lang.String name2, boolean prototype)

    - #### public DefaultBeanConfiguration(java.lang.Class<?> clazz2, java.util.Collection<?> constructorArguments)

  - ### Method Detail

    - #### public BeanConfiguration addProperty(java.lang.String propertyName, java.lang.Object propertyValue)

    - #### protected org.springframework.beans.factory.support.AbstractBeanDefinition createBeanDefinition()

    - #### public org.springframework.beans.factory.support.AbstractBeanDefinition getBeanDefinition()

    - #### public java.lang.String getName()

    - #### @java.lang.Override public java.lang.Object getProperty(java.lang.String property)

    - #### public java.lang.Object getPropertyValue(java.lang.String propName)

    - #### public boolean hasProperty(java.lang.String propName)

    - #### public boolean isSingleton()

    - #### public BeanConfiguration setAbstract(boolean isAbstract)

    - #### public BeanConfiguration setAutowire(java.lang.String type)

    - #### public void setBeanDefinition(org.springframework.beans.factory.config.BeanDefinition definition)

    - #### public BeanConfiguration setDependsOn(java.lang.String[] dependsOn)

    - #### public BeanConfiguration setDestroyMethod(java.lang.String methodName)

    - #### public BeanConfiguration setFactoryBean(java.lang.String beanName)

    - #### public BeanConfiguration setFactoryMethod(java.lang.String methodName)

    - #### public void setName(java.lang.String beanName)

    - #### public void setParent(java.lang.Object obj)

    - #### @java.lang.Override public void setProperty(java.lang.String property, java.lang.Object newValue)

    - #### public void setPropertyValue(java.lang.String property, java.lang.Object newValue)